# DApp de Vote

Cette application décentralisée (DApp) permet de gérer un système de vote transparent sur la blockchain Ethereum.

## Fonctionnalités

- Inscription des électeurs sur liste blanche par l'administrateur
- Enregistrement des propositions par les électeurs inscrits
- Vote pour les propositions préférées
- Comptabilisation automatique des votes
- Vérification des résultats accessible à tous

## Structure du Projet

- `contracts/` : Contient les smart contracts Solidity
- `frontend/` : Application React pour l'interface utilisateur
- `test/` : Tests automatisés pour les smart contracts

## Installation

```bash
# Installer les dépendances
npm install

# Démarrer le serveur de développement
npm run dev
```

## Déploiement

Lien vers le déploiement public : [à venir]

## Démo

Lien vers la vidéo de démo : [à venir]

## Organisation du Projet

Ce projet a été développé en suivant une architecture modulaire permettant de séparer clairement la logique de contrat de l'interface utilisateur.

## Fonctionnalités Supplémentaires

1. Système de délégation de vote
2. Possibilité de définir une date limite automatique pour les phases de vote 